Bug 1598311 - Error message is weird when there is no enough pci slot for hotplug interface
Summary: Error message is weird when there is no enough pci slot for hotplug interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Katerina Koukiou
QA Contact: yalzhang@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-05 05:51 UTC by yalzhang@redhat.com
Modified: 2018-10-30 09:58 UTC (History)
8 users (show)

Fixed In Version: libvirt-4.5.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 09:57:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3113 None None None 2018-10-30 09:58:30 UTC

Description yalzhang@redhat.com 2018-07-05 05:51:57 UTC
Description of problem:
Error message weird when there is no enough pci slot for hotplug interface

Version-Release number of selected component (if applicable):
libvirt-4.5.0-1.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1. start a guest, then hotplug interface with below command
# for i in `seq 32`;do  echo -----$i------; virsh attach-interface rhel network default; done
-----1------
Interface attached successfully
......
-----21------
error: Failed to attach interface
error: Network filter binding not found: no nwfilter binding for port dev 'vnet20'
-----22------
error: Failed to attach interface
error: Network filter binding not found: no nwfilter binding for port dev 'vnet20'


Actual results:
When there is no enough pci slots, the error messages is weird about network filter

Expected results:
the error message should be like:
error: Failed to attach interface
error: internal error: No more available PCI slots
(test on libvirt-4.4.0-2.el7.x86_64)

Additional info:

Comment 2 Laine Stump 2018-07-06 16:05:41 UTC
It sounds like the nwfilter "error" is happening during cleanup (we're attempting to removing nwfilter bindings that we hadn't yet created), so it's obscuring the original error. I don't have time to look in more detail now.

Comment 4 Katerina Koukiou 2018-07-16 08:59:48 UTC
Fixed with v4.5.0-147-gf7b55665cc:

commit f7b55665cc6b805bc4c34e1ec5908df31084ef5c
Author: Katerina Koukiou <kkoukiou@redhat.com>
Date:   Fri Jul 13 17:01:44 2018 +0200

    qemu: hotplug: don't overwrite error message in qemuDomainAttachNetDevice

Comment 7 yalzhang@redhat.com 2018-07-26 01:00:00 UTC
Test on libvirt-4.5.0-4.el7.x86_64 with the same steps in comment 0, the result is as expected, set this bug to be verified.

Comment 9 errata-xmlrpc 2018-10-30 09:57:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3113


Note You need to log in before you can comment on or make changes to this bug.